<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>a2r &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>a2r
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.1% of total for procedures.">10 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/mstrings.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/mstrings.f03.html'>mstrings.f03</a></li>
    
     <li><a href='../module/m_strings.html'>M_strings</a></li>
    
  
     <li class="active">a2r</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
private subroutine a2r(chars, valu, ierr)
    
    
   
</h2>
    
  


    
    <h2>NAME</h2>
<div class="codehilite"><pre><span></span><code>  string_to_value(3f) - [M_strings:NUMERIC] subroutine returns real value from string
</code></pre></div>

<h2>SYNOPSIS</h2>
<div class="codehilite"><pre><span></span><code>subroutine string_to_value(chars,valu,ierr)

 character(len=*),intent(in) :: chars   ! input string
 integer|real|doubleprecision,intent(out)         :: valu
 integer,intent(out)         :: ierr
</code></pre></div>

<h2>DESCRIPTION</h2>
<div class="codehilite"><pre><span></span><code>   <span class="nv">returns</span> <span class="nv">a</span> <span class="nv">real</span> <span class="nv">value</span> <span class="nv">from</span> <span class="nv">a</span> <span class="nv">numeric</span> <span class="nv">character</span> <span class="nv">string</span>.

   <span class="nv">works</span> <span class="nv">with</span> <span class="nv">any</span> <span class="nv">g</span><span class="o">-</span><span class="nv">format</span> <span class="nv">input</span>, <span class="nv">including</span> <span class="nv">integer</span>, <span class="nv">real</span>, <span class="nv">and</span>
   <span class="nv">exponential</span>. <span class="k">If</span> <span class="nv">the</span> <span class="nv">input</span> <span class="nv">string</span> <span class="nv">begins</span> <span class="nv">with</span> <span class="s2">&quot;</span><span class="s">B</span><span class="s2">&quot;</span>, <span class="s2">&quot;</span><span class="s">Z</span><span class="s2">&quot;</span>, <span class="nv">or</span> <span class="s2">&quot;</span><span class="s">O</span><span class="s2">&quot;</span>
   <span class="nv">and</span> <span class="nv">otherwise</span> <span class="nv">represents</span> <span class="nv">a</span> <span class="nv">positive</span> <span class="nv">whole</span> <span class="nv">number</span> <span class="nv">it</span> <span class="nv">is</span> <span class="nv">assumed</span> <span class="nv">to</span>
   <span class="nv">be</span> <span class="nv">a</span> <span class="nv">binary</span>, <span class="nv">hexadecimal</span>, <span class="nv">or</span> <span class="nv">octal</span> <span class="nv">value</span>. <span class="k">If</span> <span class="nv">the</span> <span class="nv">string</span> <span class="nv">contains</span>
   <span class="nv">commas</span> <span class="nv">they</span> <span class="nv">are</span> <span class="nv">removed</span>. <span class="k">If</span> <span class="nv">string</span> <span class="nv">is</span> <span class="nv">of</span> <span class="nv">the</span> <span class="nv">form</span> <span class="nv">NN</span>:<span class="nv">MMM</span>... <span class="nv">or</span>
   <span class="nv">NN</span>#<span class="nv">MMM</span> <span class="nv">NN</span> <span class="nv">is</span> <span class="nv">assumed</span> <span class="nv">to</span> <span class="nv">be</span> <span class="nv">the</span> <span class="nv">base</span> <span class="nv">of</span> <span class="nv">the</span> <span class="nv">whole</span> <span class="nv">number</span>.

   <span class="k">if</span> <span class="nv">an</span> <span class="nv">error</span> <span class="nv">occurs</span> <span class="nv">in</span> <span class="nv">the</span> <span class="nv">READ</span>, <span class="nv">IOSTAT</span> <span class="nv">is</span> <span class="nv">returned</span> <span class="nv">in</span> <span class="nv">IERR</span> <span class="nv">and</span>
   <span class="nv">value</span> <span class="nv">is</span> <span class="nv">set</span> <span class="nv">to</span> <span class="nv">zero</span>. <span class="k">if</span> <span class="nv">no</span> <span class="nv">error</span> <span class="nv">occurs</span>, <span class="nv">IERR</span><span class="o">=</span><span class="mi">0</span>.
</code></pre></div>

<h2>OPTIONS</h2>
<div class="codehilite"><pre><span></span><code>   CHARS  input string to read numeric value from
</code></pre></div>

<h2>RETURNS</h2>
<div class="codehilite"><pre><span></span><code>   VALU   numeric value returned. May be INTEGER, REAL, or DOUBLEPRECISION.
   IERR   error flag (0 == no error)
</code></pre></div>

<h2>EXAMPLE</h2>
<p>Sample Program:</p>
<div class="codehilite"><pre><span></span><code><span class="nv">program</span> <span class="nv">demo_string_to_value</span>
 <span class="nv">use</span> <span class="nv">M_strings</span>, <span class="nv">only</span>: <span class="nv">string_to_value</span>
 <span class="nv">character</span><span class="ss">(</span><span class="nv">len</span><span class="o">=</span><span class="mi">80</span><span class="ss">)</span> :: <span class="nv">string</span>
    <span class="nv">string</span><span class="o">=</span><span class="s1">&#39;</span><span class="s"> -40.5e-2 </span><span class="s1">&#39;</span>
    <span class="k">call</span> <span class="nl">string_to_value</span><span class="ss">(</span><span class="nv">string</span>,<span class="nv">value</span>,<span class="nv">ierr</span><span class="ss">)</span>
    <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span> <span class="s1">&#39;</span><span class="s">value of string [</span><span class="s1">&#39;</span><span class="o">//</span><span class="nv">trim</span><span class="ss">(</span><span class="nv">string</span><span class="ss">)</span><span class="o">//</span><span class="s1">&#39;</span><span class="s">] is </span><span class="s1">&#39;</span>,<span class="nv">value</span>
<span class="k">end</span> <span class="nv">program</span> <span class="nv">demo_string_to_value</span>
</code></pre></div>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-chars%7E8"></span>character(len=*),</td>
  <td>intent(in)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>chars</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-valu"></span>real,</td>
  <td>intent(out)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>valu</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ierr%7E6"></span>integer,</td>
  <td>intent(out)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>ierr</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~a2r~~CallsGraph Pages: 1 -->
<svg id="proca2rCallsGraph" width="594pt" height="338pt"
 viewBox="0.00 0.00 594.00 338.11" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~a2r~~CallsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 334.1097)">
<title>proc~~a2r~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-334.1097 590,-334.1097 590,4 -4,4"/>
<!-- proc~a2r -->
<g id="proc~~a2r~~CallsGraph_node1" class="node">
<title>proc~a2r</title>
<polygon fill="none" stroke="#000000" points="54,-289 0,-289 0,-265 54,-265 54,-289"/>
<text text-anchor="middle" x="27" y="-274.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">a2r</text>
</g>
<!-- proc~a2d -->
<g id="proc~~a2r~~CallsGraph_node2" class="node">
<title>proc~a2d</title>
<g id="a_proc~~a2r~~CallsGraph_node2"><a xlink:href=".././proc/a2d.html" xlink:title="a2d">
<polygon fill="#d9534f" stroke="#d9534f" points="144,-248 90,-248 90,-224 144,-224 144,-248"/>
<text text-anchor="middle" x="117" y="-233.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2d</text>
</a>
</g>
</g>
<!-- proc~a2r&#45;&gt;proc~a2d -->
<g id="proc~~a2r~~CallsGraph_edge1" class="edge">
<title>proc~a2r&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" d="M53.5162,-264.9204C62.1364,-260.9934 71.852,-256.5674 81.0426,-252.3806"/>
<polygon fill="#000000" stroke="#000000" points="82.7131,-255.4657 90.3623,-248.1349 79.8111,-249.0956 82.7131,-255.4657"/>
</g>
<!-- proc~substitute -->
<g id="proc~~a2r~~CallsGraph_node3" class="node">
<title>proc~substitute</title>
<g id="a_proc~~a2r~~CallsGraph_node3"><a xlink:href=".././proc/substitute.html" xlink:title="substitute">
<polygon fill="#d9534f" stroke="#d9534f" points="244.5,-310 186.5,-310 186.5,-286 244.5,-286 244.5,-310"/>
<text text-anchor="middle" x="215.5" y="-295.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">substitute</text>
</a>
</g>
</g>
<!-- proc~a2d&#45;&gt;proc~substitute -->
<g id="proc~~a2r~~CallsGraph_edge2" class="edge">
<title>proc~a2d&#45;&gt;proc~substitute</title>
<path fill="none" stroke="#000000" d="M135.0639,-248.0486C147.588,-256.3298 164.6997,-267.5019 180,-277 181.9278,-278.1968 183.9223,-279.419 185.9374,-280.6421"/>
<polygon fill="#000000" stroke="#000000" points="184.385,-283.7922 194.7612,-285.9332 187.9849,-277.7887 184.385,-283.7922"/>
</g>
<!-- proc~decodebase -->
<g id="proc~~a2r~~CallsGraph_node4" class="node">
<title>proc~decodebase</title>
<g id="a_proc~~a2r~~CallsGraph_node4"><a xlink:href=".././proc/decodebase.html" xlink:title="decodebase">
<polygon fill="#d94e8f" stroke="#d94e8f" points="251,-268 180,-268 180,-244 251,-244 251,-268"/>
<text text-anchor="middle" x="215.5" y="-253.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">decodebase</text>
</a>
</g>
</g>
<!-- proc~a2d&#45;&gt;proc~decodebase -->
<g id="proc~~a2r~~CallsGraph_edge3" class="edge">
<title>proc~a2d&#45;&gt;proc~decodebase</title>
<path fill="none" stroke="#000000" d="M144.1763,-241.518C152.2028,-243.1478 161.2155,-244.9778 170.0631,-246.7742"/>
<polygon fill="#000000" stroke="#000000" points="169.4242,-250.2159 179.9207,-248.7758 170.8172,-243.3558 169.4242,-250.2159"/>
</g>
<!-- interface~v2s -->
<g id="proc~~a2r~~CallsGraph_node5" class="node">
<title>interface~v2s</title>
<g id="a_proc~~a2r~~CallsGraph_node5"><a xlink:href=".././interface/v2s.html" xlink:title="v2s">
<polygon fill="#a7506f" stroke="#a7506f" points="242.5,-108 188.5,-108 188.5,-84 242.5,-84 242.5,-108"/>
<text text-anchor="middle" x="215.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">v2s</text>
</a>
</g>
</g>
<!-- proc~a2d&#45;&gt;interface~v2s -->
<g id="proc~~a2r~~CallsGraph_edge4" class="edge">
<title>proc~a2d&#45;&gt;interface~v2s</title>
<path fill="none" stroke="#000000" d="M125.7412,-223.5759C142.7236,-199.4386 180.3239,-145.9965 201.0649,-116.5169"/>
<polygon fill="#000000" stroke="#000000" points="204.0273,-118.3889 206.919,-108.1963 198.3023,-114.3609 204.0273,-118.3889"/>
</g>
<!-- interface~string_to_value -->
<g id="proc~~a2r~~CallsGraph_node10" class="node">
<title>interface~string_to_value</title>
<g id="a_proc~~a2r~~CallsGraph_node10"><a xlink:href=".././interface/string_to_value.html" xlink:title="string_to_value">
<polygon fill="#a7506f" stroke="#a7506f" points="372,-249 287,-249 287,-225 372,-225 372,-249"/>
<text text-anchor="middle" x="329.5" y="-234.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">string_to_value</text>
</a>
</g>
</g>
<!-- proc~decodebase&#45;&gt;interface~string_to_value -->
<g id="proc~~a2r~~CallsGraph_edge5" class="edge">
<title>proc~decodebase&#45;&gt;interface~string_to_value</title>
<path fill="none" stroke="#000000" d="M251.2575,-250.0404C259.33,-248.695 268.0657,-247.239 276.6738,-245.8044"/>
<polygon fill="#000000" stroke="#000000" points="277.3845,-249.2343 286.673,-244.1378 276.2336,-242.3295 277.3845,-249.2343"/>
</g>
<!-- proc~r2s -->
<g id="proc~~a2r~~CallsGraph_node6" class="node">
<title>proc~r2s</title>
<g id="a_proc~~a2r~~CallsGraph_node6"><a xlink:href=".././proc/r2s.html" xlink:title="r2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="356.5,-150 302.5,-150 302.5,-126 356.5,-126 356.5,-150"/>
<text text-anchor="middle" x="329.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">r2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~r2s -->
<g id="proc~~a2r~~CallsGraph_edge7" class="edge">
<title>interface~v2s&#45;&gt;proc~r2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M242.5164,-105.9534C257.4565,-111.4576 276.2384,-118.3773 292.5226,-124.3768"/>
<polygon fill="#000000" stroke="#000000" points="291.689,-127.7996 302.2824,-127.9725 294.109,-121.2312 291.689,-127.7996"/>
</g>
<!-- proc~l2s -->
<g id="proc~~a2r~~CallsGraph_node7" class="node">
<title>proc~l2s</title>
<g id="a_proc~~a2r~~CallsGraph_node7"><a xlink:href=".././proc/l2s.html" xlink:title="l2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="356.5,-108 302.5,-108 302.5,-84 356.5,-84 356.5,-108"/>
<text text-anchor="middle" x="329.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">l2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~l2s -->
<g id="proc~~a2r~~CallsGraph_edge6" class="edge">
<title>interface~v2s&#45;&gt;proc~l2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M242.5164,-96C257.3155,-96 275.8844,-96 292.0611,-96"/>
<polygon fill="#000000" stroke="#000000" points="292.2825,-99.5001 302.2824,-96 292.2824,-92.5001 292.2825,-99.5001"/>
</g>
<!-- proc~i2s -->
<g id="proc~~a2r~~CallsGraph_node8" class="node">
<title>proc~i2s</title>
<g id="a_proc~~a2r~~CallsGraph_node8"><a xlink:href=".././proc/i2s.html" xlink:title="i2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="356.5,-66 302.5,-66 302.5,-42 356.5,-42 356.5,-66"/>
<text text-anchor="middle" x="329.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">i2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~i2s -->
<g id="proc~~a2r~~CallsGraph_edge8" class="edge">
<title>interface~v2s&#45;&gt;proc~i2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M242.5164,-86.0466C257.4565,-80.5424 276.2384,-73.6227 292.5226,-67.6232"/>
<polygon fill="#000000" stroke="#000000" points="294.109,-70.7688 302.2824,-64.0275 291.689,-64.2004 294.109,-70.7688"/>
</g>
<!-- proc~d2s -->
<g id="proc~~a2r~~CallsGraph_node9" class="node">
<title>proc~d2s</title>
<g id="a_proc~~a2r~~CallsGraph_node9"><a xlink:href=".././proc/d2s.html" xlink:title="d2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="356.5,-24 302.5,-24 302.5,0 356.5,0 356.5,-24"/>
<text text-anchor="middle" x="329.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">d2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~d2s -->
<g id="proc~~a2r~~CallsGraph_edge9" class="edge">
<title>interface~v2s&#45;&gt;proc~d2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M227.3396,-83.7859C240.8971,-70.243 264.1886,-48.2936 287,-33 289.0935,-31.5964 291.2943,-30.2282 293.5469,-28.9068"/>
<polygon fill="#000000" stroke="#000000" points="295.2873,-31.9442 302.3733,-24.0676 291.922,-25.8061 295.2873,-31.9442"/>
</g>
<!-- proc~value_to_string -->
<g id="proc~~a2r~~CallsGraph_node11" class="node">
<title>proc~value_to_string</title>
<g id="a_proc~~a2r~~CallsGraph_node11"><a xlink:href=".././proc/value_to_string.html" xlink:title="value_to_string">
<polygon fill="#d9534f" stroke="#d9534f" points="493,-87 408,-87 408,-63 493,-63 493,-87"/>
<text text-anchor="middle" x="450.5" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">value_to_string</text>
</a>
</g>
</g>
<!-- proc~r2s&#45;&gt;proc~value_to_string -->
<g id="proc~~a2r~~CallsGraph_edge10" class="edge">
<title>proc~r2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M354.2884,-125.9196C360.1162,-123.033 366.2915,-119.9365 372,-117 387.6721,-108.9382 404.9566,-99.7258 419.308,-91.987"/>
<polygon fill="#000000" stroke="#000000" points="421.1375,-94.9767 428.2689,-87.1413 417.8078,-88.8193 421.1375,-94.9767"/>
</g>
<!-- proc~l2s&#45;&gt;proc~value_to_string -->
<g id="proc~~a2r~~CallsGraph_edge11" class="edge">
<title>proc~l2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M356.6548,-91.2872C368.7656,-89.1853 383.4689,-86.6335 397.6088,-84.1795"/>
<polygon fill="#000000" stroke="#000000" points="398.5059,-87.5762 407.7601,-82.4177 397.3089,-80.6793 398.5059,-87.5762"/>
</g>
<!-- proc~i2s&#45;&gt;proc~value_to_string -->
<g id="proc~~a2r~~CallsGraph_edge12" class="edge">
<title>proc~i2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M356.6548,-58.7128C368.7656,-60.8147 383.4689,-63.3665 397.6088,-65.8205"/>
<polygon fill="#000000" stroke="#000000" points="397.3089,-69.3207 407.7601,-67.5823 398.5059,-62.4238 397.3089,-69.3207"/>
</g>
<!-- proc~d2s&#45;&gt;proc~value_to_string -->
<g id="proc~~a2r~~CallsGraph_edge13" class="edge">
<title>proc~d2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M354.2884,-24.0804C360.1162,-26.967 366.2915,-30.0635 372,-33 387.6721,-41.0618 404.9566,-50.2742 419.308,-58.013"/>
<polygon fill="#000000" stroke="#000000" points="417.8078,-61.1807 428.2689,-62.8587 421.1375,-55.0233 417.8078,-61.1807"/>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2r -->
<g id="proc~~a2r~~CallsGraph_edge14" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2r</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M322.4721,-249.1194C310.594,-268.2345 284.5302,-304.6811 251,-319 185.9118,-346.7955 102.4196,-315.2425 58.0199,-293.7077"/>
<polygon fill="#000000" stroke="#000000" points="59.411,-290.4904 48.9005,-289.1566 56.2852,-296.7537 59.411,-290.4904"/>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2d -->
<g id="proc~~a2r~~CallsGraph_edge16" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M286.7255,-235.7126C275.1337,-235.4176 262.587,-235.1476 251,-235 219.447,-234.5981 211.5546,-234.7496 180,-235 171.7705,-235.0653 162.9368,-235.1786 154.5649,-235.306"/>
<polygon fill="#000000" stroke="#000000" points="154.2296,-231.8109 144.2876,-235.4725 154.343,-238.81 154.2296,-231.8109"/>
</g>
<!-- proc~a2i -->
<g id="proc~~a2r~~CallsGraph_node12" class="node">
<title>proc~a2i</title>
<g id="a_proc~~a2r~~CallsGraph_node12"><a xlink:href=".././proc/a2i.html" xlink:title="a2i">
<polygon fill="#d9534f" stroke="#d9534f" points="477.5,-219 423.5,-219 423.5,-195 477.5,-195 477.5,-219"/>
<text text-anchor="middle" x="450.5" y="-204.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2i</text>
</a>
</g>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2i -->
<g id="proc~~a2r~~CallsGraph_edge15" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2i</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M372.1601,-226.4231C385.5821,-223.0954 400.2906,-219.4486 413.3019,-216.2227"/>
<polygon fill="#000000" stroke="#000000" points="414.452,-219.5436 423.3158,-213.7399 412.7674,-212.7493 414.452,-219.5436"/>
</g>
<!-- proc~trimzeros -->
<g id="proc~~a2r~~CallsGraph_node13" class="node">
<title>proc~trimzeros</title>
<g id="a_proc~~a2r~~CallsGraph_node13"><a xlink:href=".././proc/trimzeros.html" xlink:title="trimzeros">
<polygon fill="#d9534f" stroke="#d9534f" points="586,-87 529,-87 529,-63 586,-63 586,-87"/>
<text text-anchor="middle" x="557.5" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">trimzeros</text>
</a>
</g>
</g>
<!-- proc~value_to_string&#45;&gt;proc~trimzeros -->
<g id="proc~~a2r~~CallsGraph_edge17" class="edge">
<title>proc~value_to_string&#45;&gt;proc~trimzeros</title>
<path fill="none" stroke="#000000" d="M493.0967,-75C501.538,-75 510.3576,-75 518.6658,-75"/>
<polygon fill="#000000" stroke="#000000" points="518.8491,-78.5001 528.849,-75 518.849,-71.5001 518.8491,-78.5001"/>
</g>
<!-- proc~a2i&#45;&gt;proc~a2d -->
<g id="proc~~a2r~~CallsGraph_edge18" class="edge">
<title>proc~a2i&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" d="M423.2698,-207.9812C390.7884,-209.2713 334.8662,-211.8709 287,-216 241.1177,-219.9579 188.4892,-226.4529 154.0954,-230.963"/>
<polygon fill="#000000" stroke="#000000" points="153.4891,-227.5126 144.0345,-232.2939 154.4072,-234.4522 153.4891,-227.5126"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Called by</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~a2r~~CalledByGraph Pages: 1 -->
<svg id="proca2rCalledByGraph" width="641pt" height="285pt"
 viewBox="0.00 0.00 641.00 284.99" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~a2r~~CalledByGraph" class="graph" transform="scale(.9468 .9468) rotate(0) translate(4 297)">
<title>proc~~a2r~~CalledByGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-297 673,-297 673,4 -4,4"/>
<!-- proc~a2r -->
<g id="proc~~a2r~~CalledByGraph_node1" class="node">
<title>proc~a2r</title>
<polygon fill="none" stroke="#000000" points="241,-126 187,-126 187,-102 241,-102 241,-126"/>
<text text-anchor="middle" x="214" y="-111.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">a2r</text>
</g>
<!-- proc~a2d -->
<g id="proc~~a2r~~CalledByGraph_node7" class="node">
<title>proc~a2d</title>
<g id="a_proc~~a2r~~CalledByGraph_node7"><a xlink:href=".././proc/a2d.html" xlink:title="a2d">
<polygon fill="#d9534f" stroke="#d9534f" points="331,-188 277,-188 277,-164 331,-164 331,-188"/>
<text text-anchor="middle" x="304" y="-173.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2d</text>
</a>
</g>
</g>
<!-- proc~a2r&#45;&gt;proc~a2d -->
<g id="proc~~a2r~~CalledByGraph_edge9" class="edge">
<title>proc~a2r&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" d="M231.7811,-126.2492C245.0564,-135.3944 263.3939,-148.0269 278.2687,-158.274"/>
<polygon fill="#000000" stroke="#000000" points="276.3414,-161.1964 286.5621,-163.9872 280.3126,-155.4318 276.3414,-161.1964"/>
</g>
<!-- interface~string_to_value -->
<g id="proc~~a2r~~CalledByGraph_node2" class="node">
<title>interface~string_to_value</title>
<g id="a_proc~~a2r~~CalledByGraph_node2"><a xlink:href=".././interface/string_to_value.html" xlink:title="string_to_value">
<polygon fill="#a7506f" stroke="#a7506f" points="579,-126 494,-126 494,-102 579,-102 579,-126"/>
<text text-anchor="middle" x="536.5" y="-111.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">string_to_value</text>
</a>
</g>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2r -->
<g id="proc~~a2r~~CalledByGraph_edge1" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2r</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M493.7226,-113.3563C482.1309,-113.2088 469.5849,-113.0738 458,-113 377.5572,-112.4876 357.4419,-112.3616 277,-113 268.7705,-113.0653 259.9368,-113.1786 251.5649,-113.306"/>
<polygon fill="#000000" stroke="#000000" points="251.2296,-109.8109 241.2876,-113.4725 251.343,-116.81 251.2296,-109.8109"/>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2d -->
<g id="proc~~a2r~~CalledByGraph_edge10" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M517.951,-126.0462C502.5309,-135.4683 479.6818,-148.0924 458,-155 419.3091,-167.3266 372.8902,-172.4178 341.1991,-174.5205"/>
<polygon fill="#000000" stroke="#000000" points="340.8229,-171.0366 331.0488,-175.1251 341.2392,-178.0242 340.8229,-171.0366"/>
</g>
<!-- proc~a2i -->
<g id="proc~~a2r~~CalledByGraph_node9" class="node">
<title>proc~a2i</title>
<g id="a_proc~~a2r~~CalledByGraph_node9"><a xlink:href=".././proc/a2i.html" xlink:title="a2i">
<polygon fill="#d9534f" stroke="#d9534f" points="669,-165 615,-165 615,-141 669,-141 669,-165"/>
<text text-anchor="middle" x="642" y="-150.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2i</text>
</a>
</g>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2i -->
<g id="proc~~a2r~~CalledByGraph_edge17" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2i</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M569.0143,-126.0195C580.4609,-130.2509 593.4058,-135.0363 605.1818,-139.3895"/>
<polygon fill="#000000" stroke="#000000" points="604.1468,-142.7383 614.74,-142.9229 606.574,-136.1726 604.1468,-142.7383"/>
</g>
<!-- proc~decodebase -->
<g id="proc~~a2r~~CalledByGraph_node3" class="node">
<title>proc~decodebase</title>
<g id="a_proc~~a2r~~CalledByGraph_node3"><a xlink:href=".././proc/decodebase.html" xlink:title="decodebase">
<polygon fill="#d94e8f" stroke="#d94e8f" points="448,-146 377,-146 377,-122 448,-122 448,-146"/>
<text text-anchor="middle" x="412.5" y="-131.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">decodebase</text>
</a>
</g>
</g>
<!-- proc~decodebase&#45;&gt;interface~string_to_value -->
<g id="proc~~a2r~~CalledByGraph_edge2" class="edge">
<title>proc~decodebase&#45;&gt;interface~string_to_value</title>
<path fill="none" stroke="#000000" d="M448.0334,-128.2688C459.2156,-126.4652 471.8118,-124.4336 483.9176,-122.481"/>
<polygon fill="#000000" stroke="#000000" points="484.6142,-125.914 493.9293,-120.8662 483.4995,-119.0033 484.6142,-125.914"/>
</g>
<!-- proc~s2vs -->
<g id="proc~~a2r~~CalledByGraph_node4" class="node">
<title>proc~s2vs</title>
<g id="a_proc~~a2r~~CalledByGraph_node4"><a xlink:href=".././proc/s2vs.html" xlink:title="s2vs">
<polygon fill="#d94e8f" stroke="#d94e8f" points="439.5,-66 385.5,-66 385.5,-42 439.5,-42 439.5,-66"/>
<text text-anchor="middle" x="412.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">s2vs</text>
</a>
</g>
</g>
<!-- proc~s2vs&#45;&gt;interface~string_to_value -->
<g id="proc~~a2r~~CalledByGraph_edge3" class="edge">
<title>proc~s2vs&#45;&gt;interface~string_to_value</title>
<path fill="none" stroke="#000000" d="M437.5933,-66.1419C456.2494,-75.1691 481.9154,-87.5881 502.4265,-97.5128"/>
<polygon fill="#000000" stroke="#000000" points="500.918,-100.6711 511.4441,-101.8762 503.9669,-94.3699 500.918,-100.6711"/>
</g>
<!-- proc~string_to_values -->
<g id="proc~~a2r~~CalledByGraph_node5" class="node">
<title>proc~string_to_values</title>
<g id="a_proc~~a2r~~CalledByGraph_node5"><a xlink:href=".././proc/string_to_values.html" xlink:title="string_to_values">
<polygon fill="#d9534f" stroke="#d9534f" points="458,-24 367,-24 367,0 458,0 458,-24"/>
<text text-anchor="middle" x="412.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">string_to_values</text>
</a>
</g>
</g>
<!-- proc~string_to_values&#45;&gt;interface~string_to_value -->
<g id="proc~~a2r~~CalledByGraph_edge4" class="edge">
<title>proc~string_to_values&#45;&gt;interface~string_to_value</title>
<path fill="none" stroke="#000000" d="M442.7459,-24.0441C448.0227,-26.6745 453.3158,-29.6789 458,-33 482.5742,-50.4231 505.9596,-76.1541 520.7118,-93.9177"/>
<polygon fill="#000000" stroke="#000000" points="518.2018,-96.3785 527.2277,-101.9268 523.6317,-91.9608 518.2018,-96.3785"/>
</g>
<!-- proc~base -->
<g id="proc~~a2r~~CalledByGraph_node6" class="node">
<title>proc~base</title>
<g id="a_proc~~a2r~~CalledByGraph_node6"><a xlink:href=".././proc/base.html" xlink:title="base">
<polygon fill="#d94e8f" stroke="#d94e8f" points="331,-146 277,-146 277,-122 331,-122 331,-146"/>
<text text-anchor="middle" x="304" y="-131.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">base</text>
</a>
</g>
</g>
<!-- proc~base&#45;&gt;proc~decodebase -->
<g id="proc~~a2r~~CalledByGraph_edge5" class="edge">
<title>proc~base&#45;&gt;proc~decodebase</title>
<path fill="none" stroke="#000000" d="M331.0992,-134C341.8874,-134 354.6056,-134 366.7423,-134"/>
<polygon fill="#000000" stroke="#000000" points="366.7453,-137.5001 376.7452,-134 366.7452,-130.5001 366.7453,-137.5001"/>
</g>
<!-- proc~a2d&#45;&gt;proc~decodebase -->
<g id="proc~~a2r~~CalledByGraph_edge6" class="edge">
<title>proc~a2d&#45;&gt;proc~decodebase</title>
<path fill="none" stroke="#000000" d="M331.0992,-165.51C343.3222,-160.7785 358.0228,-155.088 371.5481,-149.8524"/>
<polygon fill="#000000" stroke="#000000" points="373.0745,-153.0146 381.1366,-146.1407 370.5475,-146.4867 373.0745,-153.0146"/>
</g>
<!-- proc~s2v -->
<g id="proc~~a2r~~CalledByGraph_node8" class="node">
<title>proc~s2v</title>
<g id="a_proc~~a2r~~CalledByGraph_node8"><a xlink:href=".././proc/s2v.html" xlink:title="s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="241,-188 187,-188 187,-164 241,-164 241,-188"/>
<text text-anchor="middle" x="214" y="-173.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">s2v</text>
</a>
</g>
</g>
<!-- proc~s2v&#45;&gt;proc~a2d -->
<g id="proc~~a2r~~CalledByGraph_edge7" class="edge">
<title>proc~s2v&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" d="M241.003,-176C249.0277,-176 257.9665,-176 266.5309,-176"/>
<polygon fill="#000000" stroke="#000000" points="266.7051,-179.5001 276.705,-176 266.705,-172.5001 266.7051,-179.5001"/>
</g>
<!-- proc~a2i&#45;&gt;proc~a2d -->
<g id="proc~~a2r~~CalledByGraph_edge8" class="edge">
<title>proc~a2i&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" d="M614.9842,-157.6409C579.2107,-163.5292 514.0971,-173.3569 458,-177 417.6406,-179.621 407.4432,-177.321 367,-177 358.7705,-176.9347 349.9368,-176.8214 341.5649,-176.694"/>
<polygon fill="#000000" stroke="#000000" points="341.343,-173.19 331.2876,-176.5275 341.2296,-180.1891 341.343,-173.19"/>
</g>
<!-- proc~dble_s2v -->
<g id="proc~~a2r~~CalledByGraph_node10" class="node">
<title>proc~dble_s2v</title>
<g id="a_proc~~a2r~~CalledByGraph_node10"><a xlink:href=".././proc/dble_s2v.html" xlink:title="dble_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="148,-293 93,-293 93,-269 148,-269 148,-293"/>
<text text-anchor="middle" x="120.5" y="-278.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">dble_s2v</text>
</a>
</g>
</g>
<!-- proc~dble_s2v&#45;&gt;proc~s2v -->
<g id="proc~~a2r~~CalledByGraph_edge11" class="edge">
<title>proc~dble_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M140.2653,-268.7881C144.0028,-266.0996 147.7541,-263.117 151,-260 171.0421,-240.7539 189.5527,-214.6462 201.2499,-196.6715"/>
<polygon fill="#000000" stroke="#000000" points="204.2944,-198.4067 206.7177,-188.0927 198.3914,-194.6443 204.2944,-198.4067"/>
</g>
<!-- proc~dbles_s2v -->
<g id="proc~~a2r~~CalledByGraph_node11" class="node">
<title>proc~dbles_s2v</title>
<g id="a_proc~~a2r~~CalledByGraph_node11"><a xlink:href=".././proc/dbles_s2v.html" xlink:title="dbles_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="151,-251 90,-251 90,-227 151,-227 151,-251"/>
<text text-anchor="middle" x="120.5" y="-236.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">dbles_s2v</text>
</a>
</g>
</g>
<!-- proc~dbles_s2v&#45;&gt;proc~s2v -->
<g id="proc~~a2r~~CalledByGraph_edge12" class="edge">
<title>proc~dbles_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M138.5277,-226.853C152.3681,-217.5274 171.6921,-204.5069 187.3215,-193.9759"/>
<polygon fill="#000000" stroke="#000000" points="189.6902,-196.6003 196.0276,-188.1097 185.7787,-190.7951 189.6902,-196.6003"/>
</g>
<!-- proc~reals_s2v -->
<g id="proc~~a2r~~CalledByGraph_node12" class="node">
<title>proc~reals_s2v</title>
<g id="a_proc~~a2r~~CalledByGraph_node12"><a xlink:href=".././proc/reals_s2v.html" xlink:title="reals_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="149.5,-209 91.5,-209 91.5,-185 149.5,-185 149.5,-209"/>
<text text-anchor="middle" x="120.5" y="-194.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">reals_s2v</text>
</a>
</g>
</g>
<!-- proc~reals_s2v&#45;&gt;proc~s2v -->
<g id="proc~~a2r~~CalledByGraph_edge13" class="edge">
<title>proc~reals_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M149.5715,-190.4706C158.2182,-188.5285 167.8112,-186.374 176.8961,-184.3335"/>
<polygon fill="#000000" stroke="#000000" points="177.8699,-187.7021 186.8598,-182.0957 176.3358,-180.8722 177.8699,-187.7021"/>
</g>
<!-- proc~real_s2v -->
<g id="proc~~a2r~~CalledByGraph_node13" class="node">
<title>proc~real_s2v</title>
<g id="a_proc~~a2r~~CalledByGraph_node13"><a xlink:href=".././proc/real_s2v.html" xlink:title="real_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="147.5,-167 93.5,-167 93.5,-143 147.5,-143 147.5,-167"/>
<text text-anchor="middle" x="120.5" y="-152.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">real_s2v</text>
</a>
</g>
</g>
<!-- proc~real_s2v&#45;&gt;proc~s2v -->
<g id="proc~~a2r~~CalledByGraph_edge14" class="edge">
<title>proc~real_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M147.5441,-161.0741C156.6707,-163.1239 167.0237,-165.4492 176.7956,-167.6439"/>
<polygon fill="#000000" stroke="#000000" points="176.1688,-171.0903 186.6928,-169.8668 177.7029,-164.2604 176.1688,-171.0903"/>
</g>
<!-- proc~int_s2v -->
<g id="proc~~a2r~~CalledByGraph_node14" class="node">
<title>proc~int_s2v</title>
<g id="a_proc~~a2r~~CalledByGraph_node14"><a xlink:href=".././proc/int_s2v.html" xlink:title="int_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="147.5,-125 93.5,-125 93.5,-101 147.5,-101 147.5,-125"/>
<text text-anchor="middle" x="120.5" y="-110.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">int_s2v</text>
</a>
</g>
</g>
<!-- proc~int_s2v&#45;&gt;proc~s2v -->
<g id="proc~~a2r~~CalledByGraph_edge15" class="edge">
<title>proc~int_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M138.5277,-125.147C152.3681,-134.4726 171.6921,-147.4931 187.3215,-158.0241"/>
<polygon fill="#000000" stroke="#000000" points="185.7787,-161.2049 196.0276,-163.8903 189.6902,-155.3997 185.7787,-161.2049"/>
</g>
<!-- proc~ints_s2v -->
<g id="proc~~a2r~~CalledByGraph_node15" class="node">
<title>proc~ints_s2v</title>
<g id="a_proc~~a2r~~CalledByGraph_node15"><a xlink:href=".././proc/ints_s2v.html" xlink:title="ints_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="147.5,-83 93.5,-83 93.5,-59 147.5,-59 147.5,-83"/>
<text text-anchor="middle" x="120.5" y="-68.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">ints_s2v</text>
</a>
</g>
</g>
<!-- proc~ints_s2v&#45;&gt;proc~s2v -->
<g id="proc~~a2r~~CalledByGraph_edge16" class="edge">
<title>proc~ints_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M140.2653,-83.2119C144.0028,-85.9004 147.7541,-88.883 151,-92 161.8146,-102.385 184.7439,-134.1078 199.7531,-155.458"/>
<polygon fill="#000000" stroke="#000000" points="197.0436,-157.6909 205.6424,-163.8805 202.7804,-153.6796 197.0436,-157.6909"/>
</g>
<!-- interface~real~2 -->
<g id="proc~~a2r~~CalledByGraph_node16" class="node">
<title>interface~real~2</title>
<g id="a_proc~~a2r~~CalledByGraph_node16"><a xlink:href=".././interface/real%7E2.html" xlink:title="real">
<polygon fill="#a7506f" stroke="#a7506f" points="54,-209 0,-209 0,-185 54,-185 54,-209"/>
<text text-anchor="middle" x="27" y="-194.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">real</text>
</a>
</g>
</g>
<!-- interface~real~2&#45;&gt;proc~reals_s2v -->
<g id="proc~~a2r~~CalledByGraph_edge20" class="edge">
<title>interface~real~2&#45;&gt;proc~reals_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M54.0441,-197C62.5083,-197 72.0274,-197 81.1595,-197"/>
<polygon fill="#000000" stroke="#000000" points="81.2286,-200.5001 91.2286,-197 81.2286,-193.5001 81.2286,-200.5001"/>
</g>
<!-- interface~dble -->
<g id="proc~~a2r~~CalledByGraph_node17" class="node">
<title>interface~dble</title>
<g id="a_proc~~a2r~~CalledByGraph_node17"><a xlink:href=".././interface/dble.html" xlink:title="dble">
<polygon fill="#a7506f" stroke="#a7506f" points="54,-293 0,-293 0,-269 54,-269 54,-293"/>
<text text-anchor="middle" x="27" y="-278.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">dble</text>
</a>
</g>
</g>
<!-- interface~dble&#45;&gt;proc~dble_s2v -->
<g id="proc~~a2r~~CalledByGraph_edge18" class="edge">
<title>interface~dble&#45;&gt;proc~dble_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M54.0441,-281C62.9954,-281 73.1265,-281 82.732,-281"/>
<polygon fill="#000000" stroke="#000000" points="82.8679,-284.5001 92.8678,-281 82.8678,-277.5001 82.8679,-284.5001"/>
</g>
<!-- interface~int~2 -->
<g id="proc~~a2r~~CalledByGraph_node18" class="node">
<title>interface~int~2</title>
<g id="a_proc~~a2r~~CalledByGraph_node18"><a xlink:href=".././interface/int%7E2.html" xlink:title="int">
<polygon fill="#a7506f" stroke="#a7506f" points="54,-83 0,-83 0,-59 54,-59 54,-83"/>
<text text-anchor="middle" x="27" y="-68.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">int</text>
</a>
</g>
</g>
<!-- interface~int~2&#45;&gt;proc~ints_s2v -->
<g id="proc~~a2r~~CalledByGraph_edge23" class="edge">
<title>interface~int~2&#45;&gt;proc~ints_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M54.0441,-71C63.0746,-71 73.3059,-71 82.9868,-71"/>
<polygon fill="#000000" stroke="#000000" points="83.1928,-74.5001 93.1928,-71 83.1927,-67.5001 83.1928,-74.5001"/>
</g>
<!-- interface~real -->
<g id="proc~~a2r~~CalledByGraph_node19" class="node">
<title>interface~real</title>
<g id="a_proc~~a2r~~CalledByGraph_node19"><a xlink:href=".././interface/real.html" xlink:title="real">
<polygon fill="#a7506f" stroke="#a7506f" points="54,-167 0,-167 0,-143 54,-143 54,-167"/>
<text text-anchor="middle" x="27" y="-152.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">real</text>
</a>
</g>
</g>
<!-- interface~real&#45;&gt;proc~real_s2v -->
<g id="proc~~a2r~~CalledByGraph_edge21" class="edge">
<title>interface~real&#45;&gt;proc~real_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M54.0441,-155C63.0746,-155 73.3059,-155 82.9868,-155"/>
<polygon fill="#000000" stroke="#000000" points="83.1928,-158.5001 93.1928,-155 83.1927,-151.5001 83.1928,-158.5001"/>
</g>
<!-- interface~dble~2 -->
<g id="proc~~a2r~~CalledByGraph_node20" class="node">
<title>interface~dble~2</title>
<g id="a_proc~~a2r~~CalledByGraph_node20"><a xlink:href=".././interface/dble%7E2.html" xlink:title="dble">
<polygon fill="#a7506f" stroke="#a7506f" points="54,-251 0,-251 0,-227 54,-227 54,-251"/>
<text text-anchor="middle" x="27" y="-236.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">dble</text>
</a>
</g>
</g>
<!-- interface~dble~2&#45;&gt;proc~dbles_s2v -->
<g id="proc~~a2r~~CalledByGraph_edge19" class="edge">
<title>interface~dble~2&#45;&gt;proc~dbles_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M54.0441,-239C62.1072,-239 71.1275,-239 79.8587,-239"/>
<polygon fill="#000000" stroke="#000000" points="79.9008,-242.5001 89.9008,-239 79.9007,-235.5001 79.9008,-242.5001"/>
</g>
<!-- interface~int -->
<g id="proc~~a2r~~CalledByGraph_node21" class="node">
<title>interface~int</title>
<g id="a_proc~~a2r~~CalledByGraph_node21"><a xlink:href=".././interface/int.html" xlink:title="int">
<polygon fill="#a7506f" stroke="#a7506f" points="54,-125 0,-125 0,-101 54,-101 54,-125"/>
<text text-anchor="middle" x="27" y="-110.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">int</text>
</a>
</g>
</g>
<!-- interface~int&#45;&gt;proc~int_s2v -->
<g id="proc~~a2r~~CalledByGraph_edge22" class="edge">
<title>interface~int&#45;&gt;proc~int_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M54.0441,-113C63.0746,-113 73.3059,-113 82.9868,-113"/>
<polygon fill="#000000" stroke="#000000" points="83.1928,-116.5001 93.1928,-113 83.1927,-109.5001 83.1928,-116.5001"/>
</g>
</g>
</svg>
</div><script>var panproca2rCalledByGraph = svgPanZoom('#proca2rCalledByGraph', {zoomEnabled: true,controlIconsEnabled: true, fit: true, center: true,}); </script><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>